> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.resemble.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.resemble.ai/_mcp/server.

# Get intelligence

GET https://app.resemble.ai/api/v2/intelligences/{uuid}

Retrieve a single intelligence report by its UUID

Reference: https://docs.resemble.ai/api-reference/intelligence/get-intelligence

## Authentication

- `Authorization` header (bearer token, required) — API key from https://app.resemble.ai/hub/api

## Request

### Path parameters

- `uuid` (string, required) — The UUID of the intelligence report

## Response

### 200

Intelligence report

- `success` (boolean, optional)
- `item` (IntelligencesUuidGetResponsesContentApplicationJsonSchemaItem, optional)

## Errors

### 404 Not Found Error

Intelligence not found

- `success` (boolean, optional)
- `error` (string, optional)
- `errors` (map from string to list of string, optional)
- `message` (string, optional)

## Types

### IntelligencesUuidGetResponsesContentApplicationJsonSchemaItem

- `uuid` (string, optional)
- `description` (IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescription, optional) — Structured intelligence analysis
- `created_at` (datetime, optional)
- `detect_uuid` (string, optional) — UUID of the associated detect object
- `media_type` (enum, optional) — Type of media analyzed
  - Allowed values: `audio`, `video`, `image`

### IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescription

Structured intelligence analysis

- `speaker_info` (string, optional)
- `language` (string, optional)
- `dialect` (string, optional)
- `emotion` (string, optional)
- `speaking_style` (string, optional)
- `context` (string, optional)
- `message` (string, optional)
- `abnormalities` (string, optional)
- `transcription` (string, optional)
- `translation` (string, optional, nullable)
- `misinformation` (string, optional)
- `fraud` (IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescriptionFraud, optional)
- `liveness` (IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescriptionLiveness, optional)
- `digitally_altered` (IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescriptionDigitallyAltered, optional)

### IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescriptionFraud

- `type` (enum, optional)
  - Allowed values: `none`, `vishing`, `impersonation`, `romance_scam`, `tech_support_scam`, `financial_fraud`, `extortion`, `political_manipulation`, `synthetic_media_fraud`, `insurance_fraud`, `employment_fraud`, `other`
- `confidence` (double, optional)
- `reasoning` (string, optional)

### IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescriptionLiveness

- `assessment` (enum, optional)
  - Allowed values: `real_person`, `not_real_person`, `inconclusive`
- `confidence` (double, optional)
- `indicators` (string, optional)

### IntelligencesUuidGetResponsesContentApplicationJsonSchemaItemDescriptionDigitallyAltered

- `detected` (boolean, optional)
- `confidence` (double, optional)
- `alterations` (string, optional)

## Examples

**Response**

```json
{
  "success": true,
  "item": {
    "uuid": "string",
    "description": {
      "speaker_info": "string",
      "language": "string",
      "dialect": "string",
      "emotion": "string",
      "speaking_style": "string",
      "context": "string",
      "message": "string",
      "abnormalities": "string",
      "transcription": "string",
      "translation": "string",
      "misinformation": "string",
      "fraud": {
        "type": "none",
        "confidence": 95,
        "reasoning": "string"
      },
      "liveness": {
        "assessment": "real_person",
        "confidence": 88,
        "indicators": "string"
      },
      "digitally_altered": {
        "detected": true,
        "confidence": 92,
        "alterations": "string"
      }
    },
    "created_at": "2024-01-15T09:30:00Z",
    "detect_uuid": "string",
    "media_type": "audio"
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.resemble.ai/api/v2/intelligences/uuid"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.resemble.ai/api/v2/intelligences/uuid';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.resemble.ai/api/v2/intelligences/uuid"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.resemble.ai/api/v2/intelligences/uuid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.resemble.ai/api/v2/intelligences/uuid")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.resemble.ai/api/v2/intelligences/uuid', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.resemble.ai/api/v2/intelligences/uuid");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.resemble.ai/api/v2/intelligences/uuid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```